#ifndef _CLDISTANCETRANSFORM_H_
#define _CLDISTANCETRANSFORM_H_

#include "../Image.hpp"

#include <oclUtils.h>

class DistanceTransform_GPU
{
public:
  DistanceTransform_GPU();
  ~DistanceTransform_GPU();

  void doDistanceTransform(const Image<float>& imInput, Image<float>& imOutput);

private:
  cl_kernel           ckKernel;
  char*               cSourceCL;
  cl_program          cpProgram;
  cl_command_queue    cqCommandQueue;
  cl_context          cxGPUContext;
  cl_mem              cmDevSrc;
  cl_mem              cmDevDst;
};

template<class T>
void clDistanceTransform_GPU(const Image<T>& imInput, Image<T>& imOutput)
{
  DistanceTransform_GPU distanceTransform_GPU;
  distanceTransform_GPU.doDistanceTransform(imInput, imOutput);
}


#endif
