function plotConcreteStats(name, statsCPU, statsGPU)

% Temps/poly 
hold on;
plot(statsCPU.vImageSize, statsCPU.vTimeTaken, ...
    'LineWidth',2, 'MarkerSize',10, 'Color', [0.3 0.5 0.7]);
plot(statsGPU.vImageSize, statsGPU.vTimeTaken, ...
    'LineWidth',2, 'MarkerSize',10, 'Color', [0.5 0.7 0.4]);
legend('Location', 'NorthWest', 'CPU', 'GPU');

hTitle  = title ({['Comparison of CPU/GPU Performance for Distance Transform on 2D Image']});
hXLabel = xlabel('Size of image`s length and width (300 = 300x300)');
hYLabel = ylabel('Time (s)');
hold off;

print('-dpng', '-r300', ['./' name '_stats.png']);

close all;

hold on;
plot(statsCPU.vImageSize, statsCPU.vTimeTaken./statsGPU.vTimeTaken, ...
    'LineWidth',2, 'MarkerSize',10, 'Color', [0.3 0.5 0.7]);

hTitle  = title ({['Speedup factor observed on GPU vs CPU']});
hXLabel = xlabel('Size of image`s length and width (300 = 300x300)');
hYLabel = ylabel('Speedup factor');
hold off;

print('-dpng', '-r300', ['./' name '_speedup_stats.png']);

end