#ifndef _TEST_H_
#define _TEST_H_

#include "Image.hpp"
#include "C++/DistanceTransform.hpp"

#include <iostream>
#include <exception>
#include <cmath>


void test_DistanceTransform_TimeStats();

/**
 * Test the different functions, make sure the DT is calculated properly
 */
void test_CodeCorrectness();

/**
 * @brief  Compares two float
 * @return {true: equal, false: not equal}
 */
bool floatIsEqual(float f1, float f2);

/**
 * @brief Compares two float, smaller unequality threshold
 *        (used in cases where small differences are acceptable).
 * @return {true: equal, false: not equal}
 */
bool floatIsAlmostEqual(float f1, float f2);


#endif