#include "Timer.h"

#ifdef _WIN32
#include <windows.h>
#endif

double getCurTime()
{
  double curTime = 0.0;

  #ifdef _WIN32
	  LARGE_INTEGER	lTime, lFrequency;
	  QueryPerformanceCounter( &lTime );
	  QueryPerformanceFrequency( &lFrequency );
	  curTime = (double)( lTime.QuadPart ) / (double)lFrequency.QuadPart;
  #else
	  timeval	tTime;
	  gettimeofday( &tTime, NULL );
	  curTime = (double)( tTime.tv_sec ) + (double)( tTime.tv_usec ) / 1000000.0;
  #endif

  return curTime;
}
